Bug 1084084 - Apache Spark [NEEDINFO]
Summary: Apache Spark
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-03 15:00 UTC by Jaroslav Reznik
Modified: 2019-05-09 20:49 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-08 15:22:17 UTC
simon.richard.clark: needinfo? (willb)


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-03 15:00:51 UTC
This is a tracking bug for Change: Apache Spark
For more details, see: http://fedoraproject.org//wiki/Changes/ApacheSpark

Apache Spark is a fast and general engine for large-scale data processing.  This change brings Spark to Fedora, allowing easy deployment and development of Spark applications on Fedora.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:37 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Jaroslav Reznik 2014-10-07 12:23:43 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 3 Jaroslav Reznik 2014-10-13 14:33:39 UTC
William, any updates? The change has to be code complete tomorrow, otherwise I'd have to move it to the next Fedora version. Thanks.

Comment 4 Will Benton 2014-10-14 14:09:59 UTC
I need to rebuild some packages for this change (I've recently taken over the Scala package and fixed it to work with Java 8) and would appreciate a brief extension on the beta deadline.  Otherwise, the change is complete (viz., everything worked before Java 8 went in).

Comment 5 Jaroslav Reznik 2014-10-15 12:02:45 UTC
Ok, thanks - moving this change to ON_QA. It gives you more time by the final freeze.

Comment 6 Simon Clark 2014-10-23 10:59:49 UTC
I have drafted the F21 release notes entry for Apache Spark (mainly text from the F21 Changes wiki page).  Please would you take a look at https://git.fedorahosted.org/cgit/docs/release-notes.git/tree/en-US/Cluster.xml and let me know if it is OK or if anything needs to be added or changed.

Thanks.

Comment 7 Avi Alkalay 2019-05-09 20:49:01 UTC
So apparently Spark is not packaged for Fedora.

Would you either please package it or update the page at https://fedoraproject.org//wiki/Changes/ApacheSpark which wrongly says Spark is in Fedora since F21.


Note You need to log in before you can comment on or make changes to this bug.